from torch import Tensor

from smlm.activations.io import WriterInterface


class NoneWriter(WriterInterface):
    def open(self):
        pass

    def close(self):
        pass

    def _write(self, data: Tensor):
        pass
